Author Topic: Install ZendGuard on PHP 56  (Read 1686 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Install ZendGuard on PHP 56
« on: January 02, 2020, 04:33:41 AM »
Hi im running two versions of PHP 5.6 and 7.2 . (The default version is PHP 5.6)

In my log of one site i have this error;

Failed loading /usr/php/54/usr/lib64/php/modules/ZendGuardLoader.so: /usr/php/54/usr/lib64/php/modules/ZendGuardLoader.so: cannot open shared object file: No such file or directory

I guess i need to install ZendGuard as module for PHP 5.6 this route "/usr/php/54/usr/lib64/php/modules/ZendGuardLoader.so" is set on the php.ini file of the site with error. but i look via SSH for that file an it isnt anywhere.

How can I install ZendGuard , i use PHP selector, and in SELECT OPTIONS i select "Install ZendGuard" and then "Save Custom Configuration" but nothing happends also, i try "Start Compiler "build and install" but i didnt follow tail,

In wich route i can find the current modules installed for PHP56, i know it starts with /opt/alt/php56 but i get lost after that.


Pls Advaice , im kind of desperate here. Thanks in advance.  :-[

Offline
*****
Re: Install ZendGuard on PHP 56
« Reply #1 on: January 03, 2020, 03:52:42 PM »
It does not seem like you using CWP and PHP from CWP.
You must checking php.ini and delete the lines about zend
You can ask me to solve any problem with your server for some money in pm  ;)
Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor
Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp

Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: Install ZendGuard on PHP 56
« Reply #2 on: January 04, 2020, 05:30:01 PM »
Hi thanks for answer.

I am using CWP PHP , because i do not have any other PHP installed.

This site was living in another host, we are moving it to our CWP, in the php.ini (that was created on the original host) they point to ZendGuard on php.ini with this lines:

zend_loader.disable_licensing=0
zend_extension=/usr/php/54/usr/lib64/php/modules/ZendGuardLoader.so

The site is working in the frontend fine.
But there is a backend and there is a 500 error caused by those lines.

I just need to install ZendGuard for PHP56 and then change the route on the php.ini file, the problem is i cant find how to install ZendGuard. Im using CWP Pro